<?php include('../include/auth.php');
include('../include/lskfjwfe.php');
include('../include/header.php');
$fid=$_GET['id'];
$user=$userid;

if (isset($_POST['cont_ret'])) {
        //variables to hold our submitted data with post

       
       $fid=$_POST['fid'];
       $fid2=$_POST['fid2'];
        $oldreturn=$_POST['oldreturn'];
        $newreturn=$_POST['cont_ret'];
      
        $newreturn= \DateTime::createFromFormat('d-m-Y H:i', $newreturn)->getTimestamp(); 
        $olddroptime= $oldreturn;
        $newdroptime=date('d-m-Y H:i', $newreturn);
        $action="Changed Reservation";
        $item="Contract Drop Off";
        $details="Changed ".$item." from ".$olddroptime." to ".$newdroptime;  
        $dateTimeZone = new DateTimeZone("Europe/Athens");
        $dateTime = new DateTime("now", $dateTimeZone);
        $timeOffset = $dateTimeZone->getOffset($dateTime);
        $date = time() + $timeOffset;
        
        
        $action = $db2->real_escape_string($action);
        $item = $db2->real_escape_string($item);
        $details = $db2->real_escape_string($details);
       

        $db3->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        
        try {
            $db3->beginTransaction();
        
            $sh = $db3->prepare("INSERT INTO reservation_log (reservation_log_id, reservation_log_res, reservation_log_user, reservation_log_date, reservation_log_action, reservation_log_item, reservation_log_details) VALUES (?, ?, ?,?, ?, ?,? )");
            $sh->execute([NULL, $fid, $user, $date, $action, $item, $details]);
        
            $sh = $db3->prepare("UPDATE contracts SET cont_return=? WHERE contract_id =?");
            $sh->execute([$newreturn, $fid2]);
        
            $db3->commit();
            echo "<div class='alert alert-success'>Record Updated Succesfully</div><script>"; echo "window.location.replace('../reservation.php?id=$fid');";
            echo "</script>";   
        exit;
    } catch ( Exception $e ) {
        $db3->rollBack();
        echo "<div class='alert alert-danger'>Error updating record: </div>" . $e->getMessage();
    }
    $db3= null;
} ?>      